Cannot use my Nvidia card after full system update


#1

Hello, running pacman -Syu today broke several things on my system:

  • Pressing super (or the windows key) does not launch rofi anymore. Is that the normal behaviour of the new Archlabs release ?
  • Polybar does not start when I boot my system.
  • I cannot use my Nvidia card anymore. I have an optimus laptop that was set up without bumblebee. I used the optimis-manager AUR package to manually switch my system between the nvidia / intel cards. This is the most annoying issue I have as I have no clue how to solve it.

ere is my hardware:

$ lspci -nnk | grep '\[03'    
00:02.0 VGA compatible controller [0300]: Intel Corporation UHD Graphics 630 (Mobile) [8086:3e9b]
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] [10de:1c20] (rev a1)

I use the official nvidia driver from the arch repository. Running nvidia-smi give me the following:

$ nvidia-smi      
NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

Any idea what I should do ? Thank you in advance for your help.


#2

Forget to add my pacman log file. Here it is:

[2018-12-20 18:51] [PACMAN] Running 'pacman -Syu'
[2018-12-20 18:51] [PACMAN] synchronizing package lists
[2018-12-20 18:51] [PACMAN] starting full system upgrade
[2018-12-20 18:53] [ALPM] running '70-dkms-remove.hook'...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> dkms remove bbswitch/0.8 -k 4.19.8-arch1-1-ARCH
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> dkms remove openrazer-driver/2.4.0 -k 4.19.8-arch1-1-ARCH
[2018-12-20 18:53] [ALPM] transaction started
[2018-12-20 18:53] [ALPM] removed archlabs-user-skel (1.7.21-1)
[2018-12-20 18:53] [ALPM] upgraded archlabs-common (1.3.5-1 -> 1.3.7-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-dARK (1.0-1 -> 1.0-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-icons (1.2-1 -> 1.2-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-keyring (2018.06.09-1 -> 2018.12.13-1)
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Appending keys from archlabs.gpg...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Locally signing trusted keys in keyring...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key AEFB411B072836CD48FF0381AE252C284B5DBA5D...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key 9E4F11C6A072942A7B3FD3B0B81EB14A09A25EB0...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key 35F52A02854DCCAEC9DD5CC410443C7F54B00041...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Importing owner trust values...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Updating trust database...
[2018-12-20 18:53] [ALPM-SCRIPTLET] gpg: next trustdb check due at 2019-03-29
[2018-12-20 18:53] [ALPM] upgraded glib2 (2.58.1+67+g17519e039-1 -> 2.58.2-1)
[2018-12-20 18:53] [ALPM] upgraded gtk-update-icon-cache (3.24.2+1+g2905fc861a-1 -> 3.24.2+7+g43aeb52b73-1)
[2018-12-20 18:53] [ALPM] upgraded libsystemd (239.303-1 -> 239.370-1)
[2018-12-20 18:53] [ALPM] upgraded e2fsprogs (1.44.4-1 -> 1.44.5-1)
[2018-12-20 18:53] [ALPM] upgraded dbus (1.12.10-2 -> 1.12.12-1)
[2018-12-20 18:53] [ALPM] upgraded systemd (239.303-1 -> 239.370-1)
[2018-12-20 18:53] [ALPM] warning: directory permissions differ on /etc/polkit-1/rules.d/
filesystem: 755  package: 750
[2018-12-20 18:53] [ALPM] upgraded polkit (0.115+3+g8638ec5-1 -> 0.115+24+g5230646-1)
[2018-12-20 18:53] [ALPM] upgraded llvm-libs (7.0.0-2 -> 7.0.1-1)
[2018-12-20 18:53] [ALPM] upgraded libinput (1.12.3-1 -> 1.12.4-1)
[2018-12-20 18:53] [ALPM] upgraded nvidia-utils (415.23-1 -> 415.25-1)
[2018-12-20 18:53] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2018-12-20 18:53] [ALPM] upgraded gtk3 (3.24.2+1+g2905fc861a-1 -> 3.24.2+7+g43aeb52b73-1)
[2018-12-20 18:53] [ALPM] upgraded archlabs-kickshaw (0.6.4-1 -> 0.6.4-3)
[2018-12-20 18:53] [ALPM] upgraded libnghttp2 (1.34.0-1 -> 1.35.1-1)
[2018-12-20 18:53] [ALPM] upgraded archlabs-networkmanager-dmenu (58.2-1 -> 58.2-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-oblogout (0.2.5-1 -> 0.2.6-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-paranoid (1.2-1 -> 1.2-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-pipemenus (2.6.18-1 -> 2.6.30-1)
[2018-12-20 18:53] [ALPM] upgraded archlabs-polybar (3.2.0-1 -> 3.2.1-5)
[2018-12-20 18:53] [ALPM] upgraded archlabs-skippy-xd (1.0-1 -> 1.0-2)
[2018-12-20 18:53] [ALPM] upgraded archlabs-themes (1.5.1-1 -> 1.5.3-1)
[2018-12-20 18:53] [ALPM] upgraded archlabs-wallpapers (1.5.1-1 -> 1.5.2-1)
[2018-12-20 18:53] [ALPM] upgraded archlinux-keyring (20181128-1 -> 20181218-1)
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Appending keys from archlinux.gpg...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Locally signing trusted keys in keyring...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key DDB867B92AA789C165EEFA799B729B06A680C281...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key 684148BB25B49E986A4944C55184252D824B18E8...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key 91FFE0700E80619CEB73235CA88E23E377514E00...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key AB19265E5D7D20687D303246BA1DFB64FFF979E7...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Locally signing key 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Importing owner trust values...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Disabling revoked keys in keyring...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 7FA647CD89891DEDC060287BB9113D1ED21E1A55...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 40440DC037C05620984379A6761FAD69BA06C6A9...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key B1F2C889CB2CCB2ADA36D963097D629E437520BD...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 5357F3B111688D88C1D88119FCF2CB179205AC90...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 5559BC1A32B8F76B3FCCD9555FA5E5544F010D48...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key BC1FBE4D2826A0B51E47ED62E2539214C6C11350...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 63F395DE2D6398BBE458F281F2DBB4931985A992...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 8F76BEEA0289F9E1D3E229C05F946DED983D4366...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 4FCF887689C41B09506BE8D5F3E1D5C5D30DB0AD...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key FB871F0131FEA4FB5A9192B4C8880A6406361833...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 81D7F8241DB38BC759C80FCE3A726C6170E80477...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 5E7585ADFF106BFFBBA319DC654B877A0864983E...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 50F33E2E5B0C3D900424ABE89BDCF497A4BBCC7F...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key E7210A59715F6940CF9A4E36A001876699AD6E84...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 65EEFE022108E2B708CBFCF7F9E712E59AF5F22A...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 40776A5221EF5AD468A4906D42A1DB15EC133BAD...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 8CF934E339CAD8ABF342E822E711306E3C4F88BC...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 5696C003B0854206450C8E5BE613C09CB4440678...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 5A2257D19FF7E1E0E415968CE62F853100F0D0F0...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 9515D8A8EAB88E49BB65EDBCE6B456CAF15447D5...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 34C5D94FE7E7913E86DC427E7FB1A3800C84C0A5...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 39F880E50E49A4D11341E8F939E4F17F295AFBF4...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 66BD74A036D522F51DD70A3C7F2A16726521E06D...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 07DFD3A0BC213FA12EDC217559B3122E2FA915EC...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 44D4A033AC140143927397D47EFD567D4C7EA887...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
[2018-12-20 18:53] [ALPM-SCRIPTLET]   -> Disabling key 8840BD07FC24CB7CE394A07CCF7037A4F27FB7DA...
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> Updating trust database...
[2018-12-20 18:53] [ALPM-SCRIPTLET] gpg: next trustdb check due at 2019-03-29
[2018-12-20 18:53] [ALPM] upgraded linux-firmware (20181026.1cb4e51-1 -> 20181218.0f22c85-1)
[2018-12-20 18:53] [ALPM] upgraded linux (4.19.8.arch1-1 -> 4.19.10.arch1-1)
[2018-12-20 18:53] [ALPM] upgraded b43-firmware (6.30.163.46-1 -> 6.30.163.46-2)
[2018-12-20 18:53] [ALPM-SCRIPTLET] ==> If you encounter problems with v6.30, try the 'b43-firmware-classic' package (v5.100) instead.
[2018-12-20 18:53] [ALPM] upgraded bbswitch-dkms (0.8-184 -> 0.8-186)
[2018-12-20 18:53] [ALPM] upgraded broadcom-wl (6.30.223.271-65 -> 6.30.223.271-67)
[2018-12-20 18:53] [ALPM] upgraded compiler-rt (7.0.0-2 -> 7.0.1-1)
[2018-12-20 18:53] [ALPM] upgraded clang (7.0.0-1 -> 7.0.1-1)
[2018-12-20 18:53] [ALPM] upgraded conky (1.11.0-1 -> 1.11.1-1)
[2018-12-20 18:53] [ALPM] upgraded poppler (0.71.0-1 -> 0.72.0-1)
[2018-12-20 18:53] [ALPM] upgraded libmagick (7.0.8.16-1 -> 7.0.8.19-1)
[2018-12-20 18:53] [ALPM] upgraded imagemagick (7.0.8.16-1 -> 7.0.8.19-1)
[2018-12-20 18:53] [ALPM] upgraded cups-filters (1.21.5-1 -> 1.21.6-1)
[2018-12-20 18:53] [ALPM] upgraded electron (3.0.11-1 -> 3.0.13-1)
[2018-12-20 18:53] [ALPM] upgraded geany (1.33.0-2 -> 1.34-1)
[2018-12-20 18:53] [ALPM] upgraded git (2.20.0-1 -> 2.20.1-1)
[2018-12-20 18:53] [ALPM] upgraded glib2-docs (2.58.1+67+g17519e039-1 -> 2.58.2-1)
[2018-12-20 18:53] [ALPM] upgraded libassuan (2.5.1-1 -> 2.5.2-1)
[2018-12-20 18:53] [ALPM] upgraded gnupg (2.2.11-1 -> 2.2.12-1)
[2018-12-20 18:53] [ALPM] upgraded libmagick6 (6.9.10.16-1 -> 6.9.10.17-1)
[2018-12-20 18:53] [ALPM] upgraded poppler-glib (0.71.0-1 -> 0.72.0-1)
[2018-12-20 18:53] [ALPM] upgraded inkscape (0.92.3-6 -> 0.92.3-7)
[2018-12-20 18:53] [ALPM] upgraded lib32-systemd (239.300-1 -> 239.370-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-dbus (1.12.10-1 -> 1.12.12-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-e2fsprogs (1.44.4-1 -> 1.44.5-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-glib2 (2.58.1-1 -> 2.58.2-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-nettle (3.4-1 -> 3.4.1-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-gnutls (3.5.19-2 -> 3.6.5-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-llvm-libs (7.0.0-1 -> 7.0.1-1)
[2018-12-20 18:53] [ALPM] upgraded lib32-nvidia-utils (415.23-1 -> 415.25-1)
[2018-12-20 18:53] [ALPM] upgraded libsynctex (2018.48691-1 -> 2018.48691-3)
[2018-12-20 18:53] [ALPM] upgraded libuv (1.24.0-1 -> 1.24.1-1)
[2018-12-20 18:53] [ALPM] upgraded libxnvctrl (415.22-1 -> 415.25-1)
[2018-12-20 18:53] [ALPM] upgraded linux-headers (4.19.8.arch1-1 -> 4.19.10.arch1-1)
[2018-12-20 18:53] [ALPM] upgraded linux-lts (4.14.88-1 -> 4.14.89-1)
[2018-12-20 18:53] [ALPM] upgraded nodejs (11.4.0-1 -> 11.5.0-1)
[2018-12-20 18:53] [ALPM] upgraded nvidia (415.23-1 -> 415.25-2)
[2018-12-20 18:53] [ALPM] upgraded nvidia-lts (1:415.23-1 -> 1:415.25-1)
[2018-12-20 18:53] [ALPM] upgraded nvidia-settings (415.22-1 -> 415.25-1)
[2018-12-20 18:53] [ALPM] upgraded openmp (7.0.0-1 -> 7.0.1-1)
[2018-12-20 18:53] [ALPM] upgraded parallel (20180822-1 -> 20181122-1)
[2018-12-20 18:53] [ALPM] upgraded python-six (1.11.0-3 -> 1.12.0-1)
[2018-12-20 18:53] [ALPM] upgraded python-mako (1.0.7-2 -> 1.0.7-3)
[2018-12-20 18:53] [ALPM] upgraded python-raven (6.9.0-2 -> 6.10.0-1)
[2018-12-20 18:53] [ALPM] upgraded python2-six (1.11.0-3 -> 1.12.0-1)
[2018-12-20 18:53] [ALPM] upgraded qemu (3.0.0-4 -> 3.1.0-1)
[2018-12-20 18:53] [ALPM] upgraded systemd-sysvcompat (239.303-1 -> 239.370-1)
[2018-12-20 18:53] [ALPM] upgraded telegram-desktop (1.5.1-3 -> 1.5.2-1)
[2018-12-20 18:53] [ALPM] upgraded texlive-bin (2018.48691-1 -> 2018.48691-3)
[2018-12-20 18:53] [ALPM] upgraded vala (0.42.3-2 -> 0.42.4-1)
[2018-12-20 18:53] [ALPM] upgraded virtualbox-host-modules-arch (5.2.22-10 -> 5.2.22-12)
[2018-12-20 18:53] [ALPM] upgraded wget (1.19.5-1 -> 1.20-1)
[2018-12-20 18:53] [ALPM] upgraded xterm (337-1 -> 340-1)
[2018-12-20 18:53] [ALPM] transaction completed
[2018-12-20 18:53] [ALPM] running '60-linux-lts.hook'...
[2018-12-20 18:54] [ALPM] running '60-linux.hook'...
[2018-12-20 18:54] [ALPM] running '70-dkms-install.hook'...
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> dkms install bbswitch/0.8 -k 4.19.10-arch1-1-ARCH
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> dkms install openrazer-driver/2.4.0 -k 4.19.10-arch1-1-ARCH
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Unable to install module openrazer-driver/2.4.0 for kernel 4.14.89-1-lts: Missing kernel headers.
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Unable to install module bbswitch/0.8 for kernel 4.14.89-1-lts: Missing kernel headers.
[2018-12-20 18:54] [ALPM] running '90-linux-lts.hook'...
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'default'
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Starting build: 4.14.89-1-lts
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-lts.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-lts.preset: 'fallback'
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts-fallback.img -S autodetect
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Starting build: 4.14.89-1-lts
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-lts-fallback.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-12-20 18:54] [ALPM] running '90-linux.hook'...
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Starting build: 4.19.10-arch1-1-ARCH
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Starting build: 4.19.10-arch1-1-ARCH
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [shutdown]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-12-20 18:54] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2018-12-20 18:54] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-12-20 18:54] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-12-20 18:54] [ALPM] running 'glib-compile-schemas.hook'...
[2018-12-20 18:54] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2018-12-20 18:54] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-12-20 18:54] [ALPM] running 'mktexlsr.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-catalog.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-hwdb.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-sysctl.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-sysusers.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-tmpfiles.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-udev-reload.hook'...
[2018-12-20 18:54] [ALPM] running 'systemd-update.hook'...
[2018-12-20 18:54] [ALPM] running 'texinfo-install.hook'...
[2018-12-20 18:54] [ALPM] running 'texlive-fmtutil.hook'...
[2018-12-20 18:55] [ALPM] running 'texlive-updmap.hook'...
[2018-12-20 18:55] [ALPM] running 'update-desktop-database.hook'...
[2018-12-20 19:13] [PACMAN] Running 'pacman -Syu'
[2018-12-20 19:13] [PACMAN] synchronizing package lists
[2018-12-20 19:13] [PACMAN] starting full system upgrade
[2018-12-20 19:13] [PACMAN] Running 'pacman -Syyu'
[2018-12-20 19:13] [PACMAN] synchronizing package lists
[2018-12-20 19:13] [PACMAN] starting full system upgrade
[2018-12-20 19:20] [PACMAN] Running 'pacman -S dmenu'
[2018-12-20 19:20] [ALPM] transaction started
[2018-12-20 19:20] [ALPM] installed dmenu (4.8-1)
[2018-12-20 19:20] [ALPM] transaction completed
[2018-12-20 19:20] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:20] [PACMAN] Running 'pacman -Rns dmenu'
[2018-12-20 19:20] [ALPM] transaction started
[2018-12-20 19:20] [ALPM] removed dmenu (4.8-1)
[2018-12-20 19:20] [ALPM] transaction completed
[2018-12-20 19:20] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:38] [PACMAN] Running 'pacman -S nvidia'
[2018-12-20 19:38] [ALPM] transaction started
[2018-12-20 19:38] [ALPM] reinstalled nvidia (415.25-2)
[2018-12-20 19:38] [ALPM] transaction completed
[2018-12-20 19:38] [ALPM] running '60-linux.hook'...
[2018-12-20 19:38] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:43] [PACMAN] Running 'pacman --sync --refresh --refresh --sysupgrade'
[2018-12-20 19:43] [PACMAN] synchronizing package lists
[2018-12-20 19:43] [PACMAN] starting full system upgrade
[2018-12-20 19:43] [ALPM] transaction started
[2018-12-20 19:43] [ALPM] upgraded atom (1.33.0-1 -> 1.33.1-1)
[2018-12-20 19:43] [ALPM] transaction completed
[2018-12-20 19:43] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-12-20 19:43] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:43] [ALPM] running 'update-desktop-database.hook'...
[2018-12-20 19:44] [PACMAN] Running 'pacman --upgrade --asexplicit clight-git-r510.a73741d-1-x86_64.pkg.tar.xz'
[2018-12-20 19:44] [ALPM] transaction started
[2018-12-20 19:44] [ALPM] warning: /etc/default/clight.conf installed as /etc/default/clight.conf.pacnew
[2018-12-20 19:44] [ALPM] upgraded clight-git (r503.9463fcd-1 -> r510.a73741d-1)
[2018-12-20 19:44] [ALPM] transaction completed
[2018-12-20 19:44] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-12-20 19:44] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:44] [ALPM] running 'update-desktop-database.hook'...
[2018-12-20 19:55] [PACMAN] Running 'pacman --upgrade --asdeps libc++abi-7.0.1-1-x86_64.pkg.tar.xz libc++-7.0.1-1-x86_64.pkg.tar.xz libc++experimental-7.0.1-1-x86_64.pkg.tar.xz'
[2018-12-20 19:55] [ALPM] transaction started
[2018-12-20 19:55] [ALPM] upgraded libc++abi (7.0.0-1 -> 7.0.1-1)
[2018-12-20 19:55] [ALPM] upgraded libc++ (7.0.0-1 -> 7.0.1-1)
[2018-12-20 19:55] [ALPM] upgraded libc++experimental (7.0.0-1 -> 7.0.1-1)
[2018-12-20 19:55] [ALPM] transaction completed
[2018-12-20 19:55] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:55] [PACMAN] Running 'pacman --sync --refresh --sysupgrade'
[2018-12-20 19:55] [PACMAN] synchronizing package lists
[2018-12-20 19:55] [PACMAN] starting full system upgrade
[2018-12-20 19:58] [PACMAN] Running 'pacman -S nvidia-settings'
[2018-12-20 19:58] [ALPM] transaction started
[2018-12-20 19:58] [ALPM] reinstalled nvidia-settings (415.25-1)
[2018-12-20 19:58] [ALPM] transaction completed
[2018-12-20 19:58] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:58] [ALPM] running 'update-desktop-database.hook'...
[2018-12-20 19:58] [PACMAN] Running 'pacman -Rns nvidia'
[2018-12-20 19:58] [ALPM] transaction started
[2018-12-20 19:58] [ALPM] removed nvidia (415.25-2)
[2018-12-20 19:58] [ALPM] transaction completed
[2018-12-20 19:58] [ALPM] running '60-linux.hook'...
[2018-12-20 19:59] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:59] [PACMAN] Running 'pacman -Rns bumblebee'
[2018-12-20 19:59] [PACMAN] Running 'pacman -Rns primus'
[2018-12-20 19:59] [ALPM] transaction started
[2018-12-20 19:59] [ALPM] removed primus (20151110-8)
[2018-12-20 19:59] [ALPM] transaction completed
[2018-12-20 19:59] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:59] [PACMAN] Running 'pacman -Rns bumblebee'
[2018-12-20 19:59] [ALPM] transaction started
[2018-12-20 19:59] [ALPM] removed bumblebee (3.2.1-20)
[2018-12-20 19:59] [ALPM] transaction completed
[2018-12-20 19:59] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-12-20 19:59] [ALPM] running 'systemd-udev-reload.hook'...
[2018-12-20 19:59] [ALPM] running 'systemd-update.hook'...
[2018-12-20 19:59] [PACMAN] Running 'pacman -S nvidia'
[2018-12-20 19:59] [ALPM] transaction started
[2018-12-20 19:59] [ALPM] installed nvidia (415.25-2)
[2018-12-20 19:59] [ALPM] transaction completed
[2018-12-20 19:59] [ALPM] running '60-linux.hook'...
[2018-12-20 19:59] [ALPM] running 'systemd-update.hook'...
[2018-12-20 20:00] [PACMAN] Running 'pacman -Rns nvidia'
[2018-12-20 20:00] [ALPM] transaction started
[2018-12-20 20:00] [ALPM] removed nvidia (415.25-2)
[2018-12-20 20:00] [ALPM] transaction completed
[2018-12-20 20:00] [ALPM] running '60-linux.hook'...
[2018-12-20 20:00] [ALPM] running 'systemd-update.hook'...
[2018-12-20 20:00] [PACMAN] Running 'pacman -S nvidia-lts'
[2018-12-20 20:00] [ALPM] transaction started
[2018-12-20 20:00] [ALPM] reinstalled nvidia-lts (1:415.25-1)
[2018-12-20 20:00] [ALPM] transaction completed
[2018-12-20 20:00] [ALPM] running '60-linux-lts.hook'...
[2018-12-20 20:00] [ALPM] running 'systemd-update.hook'...
[2018-12-20 20:19] [PACMAN] Running 'pacman -S mesa'
[2018-12-20 20:19] [ALPM] transaction started
[2018-12-20 20:19] [ALPM] reinstalled mesa (18.3.1-1)
[2018-12-20 20:19] [ALPM] transaction completed
[2018-12-20 20:19] [ALPM] running 'systemd-update.hook'...
[2018-12-20 20:21] [PACMAN] Running 'pacman -Rns mesa'
[2018-12-20 20:21] [PACMAN] Running 'pacman -R mesa'
[2018-12-20 20:21] [PACMAN] Running 'pacman -Syu'
[2018-12-20 20:21] [PACMAN] synchronizing package lists
[2018-12-20 20:22] [PACMAN] starting full system upgrade
[2018-12-20 20:32] [PACMAN] Running 'pacman -Rns nvidia-lts'
[2018-12-20 20:37] [PACMAN] Running 'pacman -S ksuperkey'
[2018-12-20 20:37] [PACMAN] Running 'pacman -S ksuperkey'
[2018-12-20 20:37] [PACMAN] Running 'pacman --color auto -U /tmp/yaourt-tmp-nakrule/PKGDEST.93G/ksuperkey-0.4-2-x86_64.pkg.tar.xz'
[2018-12-20 20:37] [ALPM] transaction started
[2018-12-20 20:37] [ALPM] installed ksuperkey (0.4-2)
[2018-12-20 20:37] [ALPM] transaction completed
[2018-12-20 20:37] [ALPM] running 'systemd-update.hook'...
[2018-12-20 20:44] [PACMAN] Running 'pacman -Syu'
[2018-12-20 20:44] [PACMAN] synchronizing package lists
[2018-12-20 20:44] [PACMAN] starting full system upgrade

#3

For the mod key thing see: Mod key used to run rofi?

For the polybar thing I believe you’ll need to install an extra package as per: ArchLabs 2018.12 Release specifically the skel and scripts instructions.

Would be interested to know about the nVidia thing if anyone can help.


#4

For issue #1 run pacman -S archlabs-ksuperkey

For issue #2

# preemptively remove conflicting packages
pacman -R archlabs-user-skel archlabs-pipemenus archlabs-oblogout archlabs-polybar

# remove any lingering old skeleton files
rm -rf /etc/skel

# install the base group and additional packages for openbox
pacman -S archlabs archlabs-skel-openbox archlabs-pipemenus archlabs-polybar --needed

If you get errors while installing the new packges like file exists then you’ll need to

rm /path/to/conflicting/file

For #3
I don’t believe this is an issue related to us, I’m not sure what has happened but I appreciate the info you supplied. Looking at the output from your nvidia-smi seems to indicate you don’t have any nvidia drivers installed, can you run the following and post their output

# list packages matching 'nvidia' in search
pacman -Qsq nvidia

# which kernel
uname -a

# what files do you have in /etc/X11
ls -R /etc/X11

I see you have an intel gpu as well, do you use the nvidia gpu at any point? or are you happy to just use the intel one?


#6

First of all, thank you to take times for me.

Everything is back to normal for polybar but removing the packages and installing them back.

For nvidia, here is the output you requested:

[nakrule@mordor ~]$ pacman -Qsq nvidia
[sudo] password for nakrule: 
lib32-libvdpau
lib32-nvidia-utils
libvdpau
libxnvctrl
nvidia
nvidia-settings
nvidia-utils
[nakrule@mordor ~]$ uname -a
Linux mordor 4.19.10-arch1-1-ARCH #1 SMP PREEMPT Tue Dec 18 00:04:08 UTC 2018 x86_64 GNU/Linux
[nakrule@mordor ~]$ ls -R /etc/X11
/etc/X11:
xinit  xorg.conf.d

/etc/X11/xinit:
xinitrc  xinitrc.d  xserverrc

/etc/X11/xinit/xinitrc.d:
40-libcanberra-gtk-module.sh  50-systemd-user.sh

/etc/X11/xorg.conf.d:
10-optimus-manager.conf  20-nvidia.conf  40-touchpad.conf  99-killX.conf

Yeah, I have an Intel GPU that I use for all tasks except gaming. If that help, we can try to nuke it and only use the Nvidia one. I though removing and installing the Nvidia drivers may solve my issue, as this is what people do in this situation according to stack overflow. But even with Rd option, I cannot delete them:

[nakrule@mordor ~]$ pacman -Rd nvidia
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: optimus-manager: removing nvidia breaks dependency 'nvidia'

I don’t understand what pacman check for a dependency check with the d flag.


#7

I don’t recognize this file 10-optimus-manager.conf and I would wager this is where your issue is coming from

I would first just try removing these files or renaming them to something ending in .bkp this will stop X from loading them.

/etc/X11/xorg.conf.d/20-nvidia.conf
/etc/X11/xorg.conf.d/10-optimus-manager.conf

Then reboot or restart Xorg and see if the issue continues.

Regarding the -d flag for pacman, the manual says (note the last sentence)

-d, --nodeps
          Skips dependency version checks. Package names are still checked. Normally, pacman
          will always check a package’s dependency fields to ensure that all dependencies are
          installed and there are no package conflicts in the system. Specify this option twice
          to skip all dependency checks.

#8

The file 10-optimus-manager.conf comes from the AUR package optimus-manager. It’s a tool I use to manually switch between my Intel and Nvidia GPU since this gives way better performance that bumblebee (from 110 to 260FPS in CSGO for example).

But you’re right, this is definitely the issue. I renamed the files and my system was booting, but a new created 10-optimus-manager.conf was present. So I removed the optimus-manager package and again deleted the 10-optimus-manager.conf file.

Now, then I reboot, startx give me a black screen without any error message. Switching to another tty, I can see that the output from nvidia-smi looks fine (driver version 415.25).

I suspect the remaining problem is related to my screen, as xrandr return “Can’t open display”. Should I remove my xorg.conf file and reboot ?


#9

Yea, at least then your system will boot into Xorg without issues, from there you can try setting up the optimus manager again.

Sometimes a kernel or driver change can cause these issues, usually related to configuration files that don’t get updated when the package changes, starting fresh will hopefully fix it.

I would also check out the package AUR page and read the comments, see if any apply to your problem
https://aur.archlinux.org/packages/optimus-manager/

The bit regarding the default target, try

systemctl set-default graphical.target

#10

It’s almost working I guess. After removing my xorg.conf file, I was still not able to startx into my system. I tried a lot of things and this is the only way I found to have a graphical environment with the nvidia driver loading correctly:

  • optimus-manager is removed, but I still have the 10-optimus-manager file, else I cannot start X correctly (black screen).
  • Without this package, the nvidia driver load correctly.

This is what I have in 10-optimus-manager.conf:

Section "Device"
	Identifier "intel"
	Driver "modesetting"
	BusID "00:02:0"
	Option "DRI" "3"
EndSection

I must say I’m a bit out of idea. I don’t understand while X does not start properly without this file.


#11

Is this related? I notice the BusID is odd looking in your 10-optimus-manager.conf

I’m looking to get my own janky eGPU expresscard 970 setup working on AL rather than having to boot into Mint to play Morrowind and stream/record coding sessions.


#12

According to lspci, I should use 01:00.0. However, setting this in value in the file 10-optimus-manager result in a black screen when starting X.


#13

Have you tried doing that in the root config for X /etc/X11/xorg.conf, it’s loaded first before alll the files in xorg.conf.d might just be a timing thing.


#14

Yes, that is the file is renamed with .bkp in the end. I guess I will have to save my whole system and start a new install. Will still check this week-end if I manage to get it working.


#15

Have you tried the bumblebee package instead of the prop nvidia?